{
  buildHomeAssistantComponent,
  pkgs,
  namespace,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "adamoutler";
  domain = "anycubic_wifi";
  version = "HACS-10";

  src = pkgs.fetchFromGitHub {
    owner = owner;
    repo = "anycubic-homeassistant";
    rev = version;
    hash = "sha256-TfZadwgdEJR11MaL+nfIgEYld3trWg3v6lOHSoxQ98Q=";
  };

  # PYTHONPATH = [ "${src}/uart-wifi" ];

  nativeBuildInputs = with pkgs.${namespace}; [
    uart-wifi
  ];

  meta = {
    changelog = "https://github.com/adamoutler/anycubic-homeassistant/releases/tag/${version}";
    description = "This is a library to provide support for Mono X Printers.";
    homepage = "https://github.com/adamoutler/anycubic-homeassistant";
    maintainers = [ ];
  };
}
